org.apache.pdfbox.pdmodel.font

## Class PDPanoseClassification

- java.lang.Object
- - org.apache.pdfbox.pdmodel.font.PDPanoseClassification

    public class PDPanoseClassification
    extends Object

Represents a 10-byte PANOSE classification.

Author:
  John Hewson

### Field Summary

Fields
`static int` `LENGTH` Length.

### Constructor Summary

Constructors
Constructor and Description
`PDPanoseClassification(byte[] bytes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getArmStyle()`
`byte[]` `getBytes()`
`int` `getContrast()`
`int` `getFamilyKind()`
`int` `getLetterform()`
`int` `getMidline()`
`int` `getProportion()`
`int` `getSerifStyle()`
`int` `getStrokeVariation()`
`int` `getWeight()`
`int` `getXHeight()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LENGTH

    public static final int LENGTH

Length.

See Also:
  Constant Field Values

### Constructor Detail

#### PDPanoseClassification

    public PDPanoseClassification(byte[] bytes)

### Method Detail

#### getFamilyKind

    public int getFamilyKind()

#### getSerifStyle

    public int getSerifStyle()

#### getWeight

    public int getWeight()

#### getProportion

    public int getProportion()

#### getContrast

    public int getContrast()

#### getStrokeVariation

    public int getStrokeVariation()

#### getArmStyle

    public int getArmStyle()

#### getLetterform

    public int getLetterform()

#### getMidline

    public int getMidline()

#### getXHeight

    public int getXHeight()

#### getBytes

    public byte[] getBytes()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`